﻿var $deviceSkin = {
	PC: {
		DefaultButtonWidth: "46px",
		DefaultIconButtonWidth: "66px",
		DefaultButtonHeight: "21px",

		DefaultEditWidth: "120px",
		DefaultEditHeight: "21px"
	},
	
	Touch: {
		DefaultButtonWidth: "59px",
		DefaultIconButtonWidth: "79px",
		DefaultButtonHeight: "27px",

		DefaultEditWidth: "153px",
		DefaultEditHeight: "27px"
	}
}

var $uiSkin = {
	Common: {
		BodyPadding: "5px", DefaultCanvasFont: "12px 宋体", 
		EditBorderTopWidth: 1, EditBorderBottomWidth: 1,
        Loading: {Width: 115, Height: 53, Image: {ImageName: "loading.gif"}},
        Loading2: {Image: {ImageName: "loading2.gif"}},
        Uploading: {Width: 140, Height: 56, ProgressWidth: 120},
        Info: {Image: {ImageName: "info.png", ImageWidth: 22, ImageHeight: 22}},

        Question: {Image: {ImageName: "question.png", ImageWidth: 32, ImageHeight: 32}},
        Warning: {Image: {ImageName: "warning.gif", ImageWidth: 32, ImageHeight: 32}},
        Colors: {
            ControlText: "black", ControlBg: "#F6FBFF", WindowBg: "white",
            HighlightBg: "#2B7DD5", HighlightText: "white",
            HoverBg: "#FDFCF4", HoverText: "black", ActiveBg: "#E2F7FF",
            DisabledBg: "#E5F5FD", DisabledText: "#9BBBE0", ButtonHoverText: "black"
        }
	},
	
	ChildWindow: {
		ClassName: "ChildWindow", Renderer: "ChildWindowRenderer"
	},
	
	Label: {
		ClassName: "Label", Renderer: "LabelRenderer"
	},
	
	Image: {
		ClassName: "Image", Renderer: "ImageRenderer"
	},

	HintBox: {
		ClassName: "HintBox", Renderer: "HintBoxRenderer"
	},
	
	Button: {
		ClassName: "Button", Renderer: "ButtonRenderer"
	},
	
	NavButton: {
		ClassName: "NavButton", Renderer: "NavButtonRenderer"
	},

	LinkButton: {
		ClassName: "LinkButton", Renderer: "LinkButtonRenderer"
	},
	
	TextEdit: {
		ClassName: "Edit", Renderer: "TextEditRenderer"
	},

	MemoEdit: {
		ClassName: "Edit", Renderer: "MemoEditRenderer"
	},

    HtmlEdit: {
		ClassName: "HtmlEdit"
	},
	
	PasswordEdit: {
		ClassName: "Edit", Renderer: "InputRenderer", RenderProps: {Type: "password"}
	},
	
	CheckBox: {
		ClassName: "CheckBox", Renderer: "ToggleButtonRenderer", RenderProps: {Type: "checkbox"}
	},
	
	RadioButton: {
		ClassName: "RadioButton", Renderer: "ToggleButtonRenderer", RenderProps: {Type: "radio"}
	},
	
	EditButton: {
		ClassName: "EditButton", Renderer: "EditButtonRenderer"
	},
	
	ButtonEdit: {
		ClassName: "ButtonEdit", Renderer: "ButtonEditRenderer"
	},
	
	MButtonEdit: {
		ClassName: "ButtonEdit", Renderer: "MButtonEditRenderer"
	},

	ListBox: {
		ClassName: "ListBox"
	},
	
	Calendar: {
		ClassName: "Calendar"
	},

	Calendar_TodayButton: {
		ClassName: "Calendar_TodayButton", Renderer: "ButtonRenderer"
	},

	MonthDaySelector: {
		ClassName: "MonthDaySelector"
	},

	PageControl: {
		ClassName: "PageControl", Renderer: "PageControlRenderer"
	},

	MDIPageControl: {
		ClassName: "MDIPageControl", Renderer: "PageControlRenderer"
	},
	
	TabHeader: {
		ClassName: "TabHeader", Renderer: "TabHeaderRenderer"
	},

	SDIPanel: {
		ClassName: "SDIPanel", Renderer: "SDIPanelRenderer"
	},

	DataGrid: {
		ClassName: "DataGrid"
	},

	DataPager: {
		ClassName: "DataPager",
        PriorPage: {Image: {ImageName: "priorPage.png", ImageWidth: 8, ImageHeight: 10, ImageCount: 2}},
        NextPage: {Image: {ImageName: "nextPage.png", ImageWidth: 8, ImageHeight: 10, ImageCount: 2}},
        Refresh: {Image: {ImageName: "refresh.png", ImageWidth: 8, ImageHeight: 10, ImageCount: 2}}
    },

    TreeView: {
        ClassName: "TreeView",
        Renderer: "TreeViewRenderer",
        Properties: { ImageWidth: 16, ImageHeight: 22 },
        Minus: { Image: { ImageName: "minus.gif"} },
        MinusLine: { Image: { ImageName: "minusLine.gif"} },
        Plus: { Image: { ImageName: "plus.gif"} },
        PlusLine: { Image: { ImageName: "plusLine.gif"} },
        None: { Image: { ImageName: "none.gif"} },
        NoneLine: { Image: { ImageName: "noneLine.gif"} },
        CheckShape: { Image: { ImageName: "checkShape.gif", ImageCount: 3, ImageWidth: 16, ImageHeight: 22} },
        Line: { Image: { ImageName: "line.gif"} }
    },
	
	ToolBarButton: {
		ClassName: "ToolBarButton"
	},

	ToolBarTextButton: {
		ClassName: "ToolBarTextButton"
	},

	ToolBarSeperator: {
		ClassName: "ToolBarSeperator"
	},

	MPopupMenu: {
		ClassName: "MPopupMenu"
	},

	MDatePicker: {
		ClassName: "MPicker"
	},

    Menu: {
		ClassName: "Menu",
        MenuItemChecked: {Image: {ImageName: "checked.png"}}
	},

	VPanel: {
		ClassName: "VPanel"
	},

	GroupBox: {
		ClassName: "GroupBox"
	},

	GroupButton: {
		ClassName: "GroupButton"
	},
	
	MasterDetailView: {
		ClassName: "MasterDetailView",
        Node: {Image: {ImageName: "node.png", ImageWidth: 9, ImageHeight: 9, ImageCount: 3}}
	}
}
  